Skala
Stock quantity batches

Get stock quantity batch details

Retrieves the specific details of a single stock quantity batch using its unique identifier.

GET
/api/stock_quantity_batches/{id}

Retrieves the specific details of a single stock quantity batch using its unique identifier.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

StockQuantityBatch identifier

Response Body

application/json

curl -X GET "https://api.skalasuite.com/api/stock_quantity_batches/string"
{
  "id": 0,
  "stockQuantity": {
    "location": {
      "id": 0,
      "name": "string",
      "createdAt": "2019-08-24T14:15:22Z"
    },
    "createdAt": "2019-08-24T14:15:22Z"
  },
  "variant": {
    "id": 0,
    "stock": {
      "id": 0,
      "unit": {
        "id": 0,
        "name": "string",
        "createdAt": "2019-08-24T14:15:22Z"
      },
      "currency": {
        "id": 0,
        "name": "string",
        "code": "string",
        "symbol": "string"
      },
      "createdAt": "2019-08-24T14:15:22Z"
    },
    "code": "string",
    "name": "string",
    "createdAt": "2019-08-24T14:15:22Z"
  },
  "barcode": "string",
  "label": "string",
  "expirationDate": "2019-08-24T14:15:22Z",
  "amount": "string",
  "expectedAmount": "string",
  "committedAmount": "string",
  "missingAmount": "string",
  "valueInStock": "string",
  "averagePrice": "string",
  "batchNumber": "string",
  "createdAt": "2019-08-24T14:15:22Z"
}
Empty